org.apache.jmeter.assertions

## Class XMLSchemaAssertion

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.assertions.XMLSchemaAssertion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Assertion, Searchable, TestElement

      public class XMLSchemaAssertion
      extends AbstractTestElement
      implements java.io.Serializable, Assertion

  XMLSchemaAssertion.java Validate response against an XML Schema author
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FILE_NAME_IS_REQUIRED`
    `static java.lang.String` | `JAXP_SCHEMA_LANGUAGE`
    `static java.lang.String` | `JAXP_SCHEMA_SOURCE`
    `static java.lang.String` | `W3C_XML_SCHEMA`
    `static java.lang.String` | `XSD_FILENAME_KEY`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSchemaAssertion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssertionResult` | `getResult(SampleResult response)` getResult
    `java.lang.String` | `getXsdFileName()`
    `void` | `setXsdFileName(java.lang.String xmlSchemaFileName)`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### FILE_NAME_IS_REQUIRED

          public static final java.lang.String FILE_NAME_IS_REQUIRED

      See Also:
        Constant Field Values

    - #### JAXP_SCHEMA_LANGUAGE

          public static final java.lang.String JAXP_SCHEMA_LANGUAGE

      See Also:
        Constant Field Values

    - #### W3C_XML_SCHEMA

          public static final java.lang.String W3C_XML_SCHEMA

      See Also:
        Constant Field Values

    - #### JAXP_SCHEMA_SOURCE

          public static final java.lang.String JAXP_SCHEMA_SOURCE

      See Also:
        Constant Field Values

    - #### XSD_FILENAME_KEY

          public static final java.lang.String XSD_FILENAME_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLSchemaAssertion

          public XMLSchemaAssertion()

  - ### Method Detail

    - #### getResult

          public AssertionResult getResult(SampleResult response)

      getResult
      Specified by:
        `getResult` in interface `Assertion`
      Parameters:
        `response` - the SampleResult containing information about the Sample (duration, success, etc)
      Returns:
        the AssertionResult containing the information about whether the assertion passed or failed.

    - #### setXsdFileName

          public void setXsdFileName(java.lang.String xmlSchemaFileName)
                              throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### getXsdFileName

          public java.lang.String getXsdFileName()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.